%define upstream_name    SQL-Abstract-More
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Extension of SQL::Abstract with more constructs and more flexible API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Params::Validate)
BuildRequires: perl(SQL::Abstract) >= 1.730.0
BuildRequires: perl(SQL::Abstract::Test)
BuildRequires: perl(Scalar::Does)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Generates SQL from Perl datastructures. This is a subclass of the
SQL::Abstract manpage, fully compatible with the parent class, but it
handles a few additional SQL constructs, and provides a different API with
named parameters instead of positional parameters, so that various SQL
fragments are more easily identified.

This module was designed for the specific needs of the DBIx::DataModel
manpage, but is published as a standalone distribution, because it may
possibly be useful for other needs.

This software is not yet fully stable; future versions may introduce some
minor differences in the calling interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 372436
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 1.90.0-1.mga3
+ Revision: 330288
- New version 1.09

* Sat Oct 20 2012 shlomif <shlomif> 1.70.0-1.mga3
+ Revision: 308397
- New version 1.07

* Wed Aug 29 2012 kharec <kharec> 1.60.0-1.mga3
+ Revision: 285343
- update to 1.06

* Mon Jun 04 2012 kharec <kharec> 1.50.0-1.mga3
+ Revision: 254030
- update to 1.05

* Fri Dec 16 2011 kharec <kharec> 1.0.0-1.mga2
+ Revision: 182711
- update to 1.00

* Fri Dec 16 2011 kharec <kharec> 0.60.0-1.mga2
+ Revision: 182427
- update to 0.06

* Sun Dec 04 2011 kharec <kharec> 0.50.0-1.mga2
+ Revision: 175999
- imported package perl-SQL-Abstract-More

